Bug 7581 - Не работает автовход на каналы
: Не работает автовход на каналы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xchat)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
: 8880
:
  Show dependency tree
 
Reported: 2005-08-06 11:05 by
Modified: 2006-11-13 22:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-06 11:05:03
xchat 2.4.3

Если указать в настройках сервера список каналов для автовхода, он происходит 
только при запуске программы (да и то, кажется, не всегда - надо проверить). По 
команде "Подключиться снова" этого не происходит (не уверен, всегда ли или 
только в больш-ве случаев). На старых версиях и на win32 сборке этой версии 
такой проблемы нет.
Очень неприятно, когда каналов больше одного.
------- Comment #1 From 2005-08-09 11:12:49 -------
подтверждаю.
повторяется при настроенном автовходе на #altlinux :) (больше никаких автовходов
нет).
------- Comment #2 From 2005-08-16 21:10:34 -------
Похоже, не входит и в том случае, когда не смогло после запуска сразу 
подключиться к 1-му серверу в списке и перешло ко 2-му.
------- Comment #3 From 2005-08-23 16:14:11 -------
точно... именно так.
------- Comment #4 From 2005-10-19 16:39:21 -------
В добавок к этому пропадает навсегда "marker line" (на русский не переведено) 
в этом канале. 
xchat-2.4.3-alt1 
------- Comment #5 From 2005-10-19 18:51:44 -------
(In reply to comment #4)
> В добавок к этому пропадает навсегда "marker line" (на русский не переведено) 
> в этом канале. 
А оно вообще часто пропадает (причем в вендовых официальных и не очень сборках 
тоже). Жми Ctrl-M.
------- Comment #6 From 2006-01-20 08:29:44 -------
На 2.6.1 автовход работает.
Правда, там при реконнекте какой-то гадкий диалог, но тем не менее.
------- Comment #7 From 2006-02-09 21:41:22 -------
2.6.1-alt1
------- Comment #8 From 2006-11-13 16:10:04 -------
xchat-2.6.6-alt1
Снова поломалось. При обыкновенном сплите вроде работает, не работает в таком 
случае:

--- Closing Link: henker[~henker@....ru] (Ping timeout)
--- Соединение разорвано (Remote host closed socket).
--- Ищу сервер irc.mv.ru..
...
--- *** You are connected to RusNet. Please wait...
--- #lrn :Nick/channel is temporarily unavailable

Далее происходит полный коннект на сервер, выскакивает motd, но на канал не 
заходит сам.
------- Comment #9 From 2006-11-13 22:32:01 -------
Это значит, что канал в сплите, и на него зайти не получится. Читайте RusNet 
FAQ,